const String Category_tableName = 'goods_category';
const String Category_columnId = 'id';
const String Category_columnParentIn = 'parent_id';
const String Category_columnName = 'name';
const String Category_columnAppCompanyId = 'app_company_id';

class Category {
  int? id;
  int? parentIn;
  String name = '';
  int? appCompanyId;

  Map<String, dynamic> toMap() {
    var map = <String, dynamic>{
      Category_columnParentIn: parentIn,
      Category_columnName: name,
      Category_columnAppCompanyId: appCompanyId
    };
    if (id != null) {
      map[Category_columnId] = id;
    }
    return map;
  }

  Category();

  Category.fromMap(Map<String, dynamic> map) {
    id = map[Category_columnId];
    parentIn = map[Category_columnParentIn];
    name = map[Category_columnName];
    appCompanyId = map[Category_columnAppCompanyId];
  }

  Category.fromJson(Map<String, dynamic> map) {
    id = map[Category_columnId];
    parentIn = map[Category_columnParentIn];
    name = map[Category_columnName];
    appCompanyId = map[Category_columnAppCompanyId];
  }

}

